<?php
function expert_makeup_stylist_upper_header_settings( $wp_customize ) {
$selective_refresh = isset( $wp_customize->selective_refresh ) ? 'postMessage' : 'refresh';

	/*=========================================
	Social Media
	=========================================*/
	$wp_customize->add_section(
        'expert_makeup_stylist_upper_header',
        array(
        	'priority'      => 3,
            'title' 		=> __('Header Information','expert-makeup-stylist'),
			'panel'  		=> 'expert_makeup_stylist_frontpage_sections',
		)
    );

	$wp_customize->add_setting(
		'expert_makeup_stylist_call',
		array(
			'default'=> '+123 456 789',
			'sanitize_callback'	=> 'expert_makeup_stylist_sanitize_phone_number'
		)
	);

	$wp_customize->add_control(
		'expert_makeup_stylist_call',array(
			'label'	=> __('Add Phone Number','expert-makeup-stylist'),
			'section'=> 'expert_makeup_stylist_upper_header',
			'type'=> 'text'
		)
	);

	$wp_customize->add_setting(
		'expert_makeup_stylist_mail',array(
			'default'=> 'admin@example.com',
			'sanitize_callback'	=> 'sanitize_email'
		)
	);

	$wp_customize->add_control(
		'expert_makeup_stylist_mail',array(
			'label'	=> __('Add Mail Address','expert-makeup-stylist'),
			'section'=> 'expert_makeup_stylist_upper_header',
			'type'=> 'text'
		)
	);

	$wp_customize->add_setting(
    	'expert_makeup_stylist_header_btn_text',
    	array(
			'default' => 'COSMETIC ORDER',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);
	$wp_customize->add_control(
		'expert_makeup_stylist_header_btn_text',
		array(
		    'label'   		=> __('Button Text','expert-makeup-stylist'),
		    'section'		=> 'expert_makeup_stylist_upper_header',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);

	$wp_customize->add_setting(
    	'expert_makeup_stylist_header_btn_link',
    	array(
			'default' => '#',
			'sanitize_callback' => 'esc_url_raw',
		)
	);
	$wp_customize->add_control( 
		'expert_makeup_stylist_header_btn_link',
		array(
		    'label'   		=> __('Button Link','expert-makeup-stylist'),
		    'section'		=> 'expert_makeup_stylist_upper_header',
			'type' 			=> 'url',
			'transport'         => $selective_refresh,
		)
	);

	$wp_customize->add_setting( 'expert_makeup_stylist_upgrade_page_settings_14',
        array(
            'sanitize_callback' => 'sanitize_text_field'
        )
    );
	$wp_customize->add_control( new Expert_Makeup_Stylist_Control_Upgrade(
	    $wp_customize, 'expert_makeup_stylist_upgrade_page_settings_14',
	        array(
	            'priority'      => 200,
	            'section'       => 'expert_makeup_stylist_upper_header',
	            'settings'      => 'expert_makeup_stylist_upgrade_page_settings_14',
	            'label'         => __( 'Expert Makeup Stylist Pro comes with additional features.', 'expert-makeup-stylist' ),
	            'choices'       => array( __( '15+ Ready-Made Sections', 'expert-makeup-stylist' ), __( 'One-Click Demo Import', 'expert-makeup-stylist' ), __( 'WooCommerce Integrated', 'expert-makeup-stylist' ), __( 'Drag & Drop Section Reordering', 'expert-makeup-stylist' ),__( 'Advanced Typography Control', 'expert-makeup-stylist' ),__( 'Intuitive Customization Options', 'expert-makeup-stylist' ),__( '24/7 Support', 'expert-makeup-stylist' ), )
	        )
	    )
	); 
}
add_action( 'customize_register', 'expert_makeup_stylist_upper_header_settings' );